Subject: Re: bug#32257: 26.1; read-multiple-choice inf loops on mouse clicks

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Jul 2018 15:30:33 +0300

> From: Andy Moreton <[email-masked]>
> Date: Fri, 27 Jul 2018 12:35:27 +0100
> 
> > If we want this change on emacs-26, we should carefully audit all the
> > other users of rmc.el (and in generally, I'd prefer some more local
> > change in nsm.el on the release branch).  We've had our share of
> > subtle bugs introduced by switching to an "almost-compatible" method
> > of reading input.
> 
> read-multiple choice only has two callers (`nsm-query-user' and
> `message-fix-before-sending') in both master and emacs-26.

In Emacs, yes.  But what about the world out there?

> While I understand caution over changes to emacs-26, the only place that
> needs fixing is read-multiple-choice. It seems odd to prefer changes
> in its callers, that will more likely introduce additional bugs without
> fixing the original issue.

In case it wasn't clear I meant to make a safer change on emacs-26,
and change read-multiple-choice on master.